#
# $Id: Makefile.am,v 1.13 2001/11/19 16:58:10 mattiasa Exp $
#

AUTOMAKE_OPTIONS = foreign no-dependencies

bin_PROGRAMS = zctl
zctl_SOURCES = zctl.c zutils.c zctl_cmds.c

man_MANS = zctl.1

MK_CMDS		= @MK_CMDS@

BUILT_SOURCES = zctl_cmds.c

INCLUDES += -I../../include -I$(srcdir)/../../include  $(CPPFLAGS_roken)

foo_et = -lcom_err # -L../../lib/et
foo_ss = $(LIB_ss_create_invocation) #-lss # -L../../lib/ss
foo_z  = ../../lib/zephyr/libzephyr.a

zctl_LDADD = $(foo_z) $(foo_ss) $(foo_et) $(LIB_readline) $(LIB_tgetent) $(LIB_roken)
zctl_LDFLAGS = $(KRB4_LDFLAGS)

zctl_cmds.c: zctl_cmds.ct
	@MK_CMDS@ $(srcdir)/zctl_cmds.ct

CLEANFILES = $(BUILT_SOURCES)
